# LibraryCommandExecutor
Date: 2020-04-18

me.legofreak107.vehiclesplus.libraries.commandlibrary.objects

## Class LibraryCommandExecutor

- java.lang.Object
- - me.legofreak107.vehiclesplus.libraries.commandlibrary.objects.LibraryCommandExecutor

All Implemented Interfaces:
  org.bukkit.command.CommandExecutor

    public class LibraryCommandExecutor
    extends java.lang.Object
    implements org.bukkit.command.CommandExecutor

### Constructor Summary

Constructors
Constructor and Description
`LibraryCommandExecutor(LibraryCommand libraryCommand)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `onCommand(org.bukkit.command.CommandSender sender, org.bukkit.command.Command command, java.lang.String label, java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LibraryCommandExecutor

    public LibraryCommandExecutor(LibraryCommand libraryCommand)

### Method Detail

#### onCommand

    public boolean onCommand(org.bukkit.command.CommandSender sender,
                             org.bukkit.command.Command command,
                             java.lang.String label,
                             java.lang.String[] args)

Specified by:
  `onCommand` in interface `org.bukkit.command.CommandExecutor`